diff --git a/web/pgadmin/browser/static/css/browser.css b/web/pgadmin/browser/static/css/browser.css
index 502812b8..26be9003 100644
--- a/web/pgadmin/browser/static/css/browser.css
+++ b/web/pgadmin/browser/static/css/browser.css
@@ -1,6 +1,3 @@
-:root {
-  --codemirror-font-size : 1em;
-}
 /* Styles for the main browser */
 .browser-pane-container {
     position: absolute;
@@ -71,5 +68,5 @@ samp,
 }
 
 .CodeMirror {
-  font-size: var(--codemirror-font-size, '1em');
+  font-size: 1em;
 }
diff --git a/web/pgadmin/browser/static/js/preferences.js b/web/pgadmin/browser/static/js/preferences.js
index 1e84bd41..5ca9e3ce 100644
--- a/web/pgadmin/browser/static/js/preferences.js
+++ b/web/pgadmin/browser/static/js/preferences.js
@@ -65,12 +65,15 @@ _.extend(pgBrowser, {
         preferences[preference.name] = preference.value;
       }
     );
-    return preferences;
+    if(Object.keys(preferences).length > 0) {
+      return preferences;
+    }
   },
 
   /* Get preference of an id, id is numeric */
   get_preference_for_id : function(id) {
     var self = this;
+    /* findWhere returns undefined if not found */
     return _.findWhere(self.preferences_cache, {'id': id});
   },
 
diff --git a/web/pgadmin/static/js/sqleditor_utils.js b/web/pgadmin/static/js/sqleditor_utils.js
index c131e22c..4610d7aa 100644
--- a/web/pgadmin/static/js/sqleditor_utils.js
+++ b/web/pgadmin/static/js/sqleditor_utils.js
@@ -188,11 +188,12 @@ define(['jquery', 'sources/gettext', 'sources/url_for'],
 
       calcFontSize: function(fontSize) {
         if(fontSize) {
-          return Number((Math.round(fontSize + 'e+2') + 'e-2')) + 'em';
-        }
-        else {
-          return '0em';
+          let rounded = Number((Math.round(fontSize + 'e+2') + 'e-2'));
+          if(rounded > 0) {
+            return rounded + 'em';
+          }
         }
+        return '1em';
       },
     };
     return sqlEditorUtils;
diff --git a/web/regression/javascript/sqleditor_utils_spec.js b/web/regression/javascript/sqleditor_utils_spec.js
index 75c34afc..4237bce3 100644
--- a/web/regression/javascript/sqleditor_utils_spec.js
+++ b/web/regression/javascript/sqleditor_utils_spec.js
@@ -32,7 +32,7 @@ function (SqlEditorUtils) {
     describe('Calculate font size of input number passed', function () {
       it('calcFontSize', function () {
         expect(SqlEditorUtils.calcFontSize(1.456)).toEqual('1.46em');
-        expect(SqlEditorUtils.calcFontSize()).toEqual('0em');
+        expect(SqlEditorUtils.calcFontSize()).toEqual('1em');
         expect(SqlEditorUtils.calcFontSize(2)).toEqual('2em');
       });
     });
